AC adapter status not detected on Asus ZenBook UX410UAK

Bug #1745032 reported by Agustin Barto on 2018-01-23
24
This bug affects 3 people
Affects Status Importance Assigned to Milestone
gnome-control-center (Ubuntu)
Medium
Marco Trevisan (Treviño)
Bionic
Medium
Marco Trevisan (Treviño)
Cosmic
Undecided
Marco Trevisan (Treviño)
gnome-shell (Ubuntu)
Medium
Marco Trevisan (Treviño)
Bionic
Medium
Marco Trevisan (Treviño)
Cosmic
Undecided
Marco Trevisan (Treviño)
linux (Ubuntu)
Medium
Kai-Heng Feng
Bionic
Medium
Kai-Heng Feng
Cosmic
Undecided
Kai-Heng Feng
upower (Ubuntu)
Medium
Marco Trevisan (Treviño)
Bionic
Medium
Marco Trevisan (Treviño)
Cosmic
Undecided
Marco Trevisan (Treviño)

Bug Description

=== SRU Justification ===
[Impact]
Some Asus laptops report "discharging" when the battery is full and AC
is plugged

[Test]
Charge battery to full, the issue appears.
Users report with the patch the behaviour is correct.

[Fix]
The discharge rate is 0 on those machines. Use that to detect the wrong
status report.

[Regression Potential]
Low. The quirk uses strict DMI to match affected systems.

=== Original Bug Report ===
The AC adapter status is incorrectly reported when the battery is fully charged. It always shows as if the adapter is not plugged in. If the battery is drained for a while, the adapter status is shown correctly (both connects and disconnects are shown).

ProblemType: Bug
DistroRelease: Ubuntu 17.10
Package: linux-image-4.13.0-31-generic 4.13.0-31.34
ProcVersionSignature: Ubuntu 4.13.0-31.34-generic 4.13.13
Uname: Linux 4.13.0-31-generic x86_64
ApportVersion: 2.20.7-0ubuntu3.7
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: abarto 1388 F.... pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Tue Jan 23 18:26:18 2018
InstallationDate: Installed on 2018-01-23 (0 days ago)
InstallationMedia: Ubuntu 17.10 "Artful Aardvark" - Release amd64 (20171018)
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 004: ID 8087:0a2b Intel Corp.
 Bus 001 Device 003: ID 04f2:b57a Chicony Electronics Co., Ltd
 Bus 001 Device 002: ID 046d:c534 Logitech, Inc. Unifying Receiver
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: ASUSTeK COMPUTER INC. UX410UAK
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-31-generic.efi.signed root=UUID=58ea0561-3f74-4566-9332-5e7021275160 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-4.13.0-31-generic N/A
 linux-backports-modules-4.13.0-31-generic N/A
 linux-firmware 1.169.2
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/08/2017
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX410UAK.306
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX410UAK
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrUX410UAK.306:bd08/08/2017:svnASUSTeKCOMPUTERINC.:pnUX410UAK:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX410UAK:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: UX
dmi.product.name: UX410UAK
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

Related branches

Agustin Barto (abarto) wrote :
summary: - AC adapter status not detected on Asus ZenBook ux410UAK
+ AC adapter status not detected on Asus ZenBook UX410UAK
Agustin Barto (abarto) wrote :

Output of dmidecode

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :
Agustin Barto (abarto) wrote :

It works. Thanks!

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Changed in linux (Ubuntu):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in linux (Ubuntu):
status: Incomplete → Triaged
description: updated
Seth Forshee (sforshee) on 2018-03-01
Changed in linux (Ubuntu):
status: Triaged → Fix Committed
Changed in linux (Ubuntu Artful):
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (40.0 KiB)

This bug was fixed in the package linux - 4.15.0-12.13

---------------
linux (4.15.0-12.13) bionic; urgency=medium

  * linux: 4.15.0-12.13 -proposed tracker (LP: #1754059)

  * CONFIG_EFI=y on armhf (LP: #1726362)
    - [Config] CONFIG_EFI=y on armhf, reconcile secureboot EFI settings

  * ppc64el: Support firmware disable of RFI flush (LP: #1751994)
    - powerpc/pseries: Support firmware disable of RFI flush
    - powerpc/powernv: Support firmware disable of RFI flush

  * [Feature] CFL/CNL (PCH:CNP-H): New GPIO Commit added (GPIO Driver needed)
    (LP: #1751714)
    - gpio / ACPI: Drop unnecessary ACPI GPIO to Linux GPIO translation
    - pinctrl: intel: Allow custom GPIO base for pad groups
    - pinctrl: cannonlake: Align GPIO number space with Windows

  * [Feature] Add xHCI debug device support in the driver (LP: #1730832)
    - usb: xhci: Make some static functions global
    - usb: xhci: Add DbC support in xHCI driver
    - [Config] USB_XHCI_DBGCAP=y for commit mainline dfba2174dc42.

  * [SRU] Lenovo E41 Mic mute hotkey is not responding (LP: #1753347)
    - platform/x86: ideapad-laptop: Increase timeout to wait for EC answer

  * headset mic can't be detected on two Dell machines (LP: #1748807)
    - ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines

  * hisi_sas: Add disk LED support (LP: #1752695)
    - scsi: hisi_sas: directly attached disk LED feature for v2 hw

  * [Feature] [Graphics]Whiskey Lake (Coffelake-U 4+2) new PCI Device ID adds
    (LP: #1742561)
    - drm/i915/cfl: Adding more Coffee Lake PCI IDs.

  * [Bug] [USB Function][CFL-CNL PCH]Stall Error and USB Transaction Error in
    trace, Disable of device-initiated U1/U2 failed and rebind failed: -517
    during suspend/resume with usb storage. (LP: #1730599)
    - usb: Don't print a warning if interface driver rebind is deferred at resume

  * retpoline: ignore %cs:0xNNN constant indirections (LP: #1752655)
    - [Packaging] retpoline -- elide %cs:0xNNNN constants on i386
    - [Config] retpoline -- clean up i386 retpoline files

  * hisilicon hibmc regression due to ea642c3216cb ("drm/ttm: add io_mem_pfn
    callback") (LP: #1738334)
    - drm/ttm: add ttm_bo_io_mem_pfn to check io_mem_pfn

  * [Asus UX360UA] battery status in unity-panel is not changing when battery is
    being charged (LP: #1661876) // AC adapter status not detected on Asus
    ZenBook UX410UAK (LP: #1745032)
    - ACPI / battery: Add quirk for Asus UX360UA and UX410UAK

  * ASUS UX305LA - Battery state not detected correctly (LP: #1482390)
    - ACPI / battery: Add quirk for Asus GL502VSK and UX305LA

  * [18.04 FEAT] Automatically detect layer2 setting in the qeth device driver
    (LP: #1747639)
    - s390/diag: add diag26c support for VNIC info
    - s390/qeth: support early setup for z/VM NICs

  * Bionic update to v4.15.7 stable release (LP: #1752317)
    - netfilter: drop outermost socket lock in getsockopt()
    - arm64: mm: don't write garbage into TTBR1_EL1 register
    - kconfig.h: Include compiler types to avoid missed struct attributes
    - MIPS: boot: Define __ASSEMBLY__ for its.S build
    - xtensa: fix high memory/reserved memory collision
    - scsi: ibmvfc: fix misde...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Stefan Bader (smb) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-artful' to 'verification-done-artful'. If the problem still exists, change the tag 'verification-needed-artful' to 'verification-failed-artful'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-artful
Agustin Barto (abarto) on 2018-03-19
tags: added: verification-done-artful
removed: verification-needed-artful
Launchpad Janitor (janitor) wrote :
Download full text (18.9 KiB)

This bug was fixed in the package linux - 4.13.0-38.43

---------------
linux (4.13.0-38.43) artful; urgency=medium

  * linux: 4.13.0-38.43 -proposed tracker (LP: #1755762)

  * Servers going OOM after updating kernel from 4.10 to 4.13 (LP: #1748408)
    - i40e: Fix memory leak related filter programming status
    - i40e: Add programming descriptors to cleaned_count

  * [SRU] Lenovo E41 Mic mute hotkey is not responding (LP: #1753347)
    - platform/x86: ideapad-laptop: Increase timeout to wait for EC answer

  * fails to dump with latest kpti fixes (LP: #1750021)
    - kdump: write correct address of mem_section into vmcoreinfo

  * headset mic can't be detected on two Dell machines (LP: #1748807)
    - ALSA: hda/realtek - Support headset mode for ALC215/ALC285/ALC289
    - ALSA: hda - Fix headset mic detection problem for two Dell machines
    - ALSA: hda - Fix a wrong FIXUP for alc289 on Dell machines

  * CIFS SMB2/SMB3 does not work for domain based DFS (LP: #1747572)
    - CIFS: make IPC a regular tcon
    - CIFS: use tcon_ipc instead of use_ipc parameter of SMB2_ioctl
    - CIFS: dump IPC tcon in debug proc file

  * i2c-thunderx: erroneous error message "unhandled state: 0" (LP: #1754076)
    - i2c: octeon: Prevent error message on bus error

  * hisi_sas: Add disk LED support (LP: #1752695)
    - scsi: hisi_sas: directly attached disk LED feature for v2 hw

  * EDAC, sb_edac: Backport 1 patch to Ubuntu 17.10 (Fix missing DIMM sysfs
    entries with KNL SNC2/SNC4 mode) (LP: #1743856)
    - EDAC, sb_edac: Fix missing DIMM sysfs entries with KNL SNC2/SNC4 mode

  * [regression] Colour banding and artefacts appear system-wide on an Asus
    Zenbook UX303LA with Intel HD 4400 graphics (LP: #1749420)
    - drm/edid: Add 6 bpc quirk for CPT panel in Asus UX303LA

  * DVB Card with SAA7146 chipset not working (LP: #1742316)
    - vmalloc: fix __GFP_HIGHMEM usage for vmalloc_32 on 32b systems

  * [Asus UX360UA] battery status in unity-panel is not changing when battery is
    being charged (LP: #1661876) // AC adapter status not detected on Asus
    ZenBook UX410UAK (LP: #1745032)
    - ACPI / battery: Add quirk for Asus UX360UA and UX410UAK

  * ASUS UX305LA - Battery state not detected correctly (LP: #1482390)
    - ACPI / battery: Add quirk for Asus GL502VSK and UX305LA

  * support thunderx2 vendor pmu events (LP: #1747523)
    - perf pmu: Extract function to get JSON alias map
    - perf pmu: Pass pmu as a parameter to get_cpuid_str()
    - perf tools arm64: Add support for get_cpuid_str function.
    - perf pmu: Add helper function is_pmu_core to detect PMU CORE devices
    - perf vendor events arm64: Add ThunderX2 implementation defined pmu core
      events
    - perf pmu: Add check for valid cpuid in perf_pmu__find_map()

  * lpfc.ko module doesn't work (LP: #1746970)
    - scsi: lpfc: Fix loop mode target discovery

  * Ubuntu 17.10 crashes on vmalloc.c (LP: #1739498)
    - powerpc/mm/book3s64: Make KERN_IO_START a variable
    - powerpc/mm/slb: Move comment next to the code it's referring to
    - powerpc/mm/hash64: Make vmalloc 56T on hash

  * ethtool -p fails to light NIC LED on HiSilicon D05 systems (LP: #1748567)
    - net...

Changed in linux (Ubuntu Artful):
status: Fix Committed → Fix Released
Agustin Barto (abarto) wrote :
Changed in linux (Ubuntu):
status: Fix Released → In Progress
Kai-Heng Feng (kaihengfeng) wrote :
Agustin Barto (abarto) wrote :

Nope. It doesn't work.

Kai-Heng Feng (kaihengfeng) wrote :

Can you try latest mainline kernel?

Agustin Barto (abarto) wrote :

I'm no longer using Ubuntu, but the bug seems to have been fixed in Fedora's kernel 4.18.5-200.fc28.x86_64.

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Agustin Barto (abarto) wrote :

The issue persist on 18.10 (4.18.0-10-generic).

Changed in linux (Ubuntu Artful):
status: Fix Released → In Progress
Changed in linux (Ubuntu):
status: Fix Released → In Progress
Kai-Heng Feng (kaihengfeng) wrote :

It's fixed in upstream but not in B/C/D.

I'll do the backport when I find some time.

Kai-Heng Feng (kaihengfeng) wrote :
no longer affects: gnome-control-center (Ubuntu Artful)
no longer affects: gnome-shell (Ubuntu Artful)
no longer affects: upower (Ubuntu Artful)
no longer affects: linux (Ubuntu Artful)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
Changed in gnome-shell (Ubuntu):
status: New → Confirmed
Changed in upower (Ubuntu):
status: New → Confirmed
Alexandre Forte (akf98) wrote :

This issue also affects Asus Vivobook 15 X510UR.

Daniel van Vugt (vanvugt) wrote :

It appears the gnome-shell!278 fix is only in future version 3.31.3 at the moment.

I've had the same issue with other laptops and would be surprised if this was the only bug report.

Changed in gnome-shell (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Changed in gnome-control-center (Ubuntu):
status: Confirmed → Fix Committed
Changed in gnome-shell (Ubuntu):
status: Triaged → Fix Committed
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Alexandre Forte (akf98) on 2018-12-25
Changed in upower (Ubuntu Bionic):
status: New → Incomplete
status: Incomplete → New
Changed in gnome-shell (Ubuntu Bionic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)

Kai-Heng Feng,

What's the status of the kernel fix in bionic?

As to verify UI fixes we should get everything in.

Changed in gnome-control-center (Ubuntu):
status: Fix Committed → In Progress
Changed in gnome-shell (Ubuntu):
status: Fix Committed → In Progress
Changed in gnome-shell (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-control-center (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in gnome-control-center (Ubuntu Bionic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in upower (Ubuntu):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in upower (Ubuntu Bionic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
Changed in linux (Ubuntu Bionic):
assignee: Marco Trevisan (Treviño) (3v1n0) → Kai-Heng Feng (kaihengfeng)
Changed in gnome-control-center (Ubuntu):
importance: Undecided → Medium
Changed in gnome-control-center (Ubuntu Bionic):
importance: Undecided → Medium
Changed in gnome-shell (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in upower (Ubuntu):
importance: Undecided → Medium
Changed in upower (Ubuntu Bionic):
importance: Undecided → Medium
Changed in gnome-control-center (Ubuntu Bionic):
status: New → In Progress
Changed in gnome-shell (Ubuntu Bionic):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in upower (Ubuntu):
status: Confirmed → In Progress
Changed in upower (Ubuntu Bionic):
status: New → In Progress
Changed in gnome-shell (Ubuntu):
status: In Progress → Fix Released
Changed in linux (Ubuntu):
status: Fix Released → In Progress
status: In Progress → Fix Released
Changed in gnome-shell (Ubuntu):
status: Fix Released → In Progress
Iain Lane (laney) on 2019-01-25
Changed in gnome-control-center (Ubuntu Cosmic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → In Progress
Changed in gnome-shell (Ubuntu Cosmic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → In Progress
Changed in linux (Ubuntu Cosmic):
assignee: nobody → Kai-Heng Feng (kaihengfeng)
Changed in upower (Ubuntu Cosmic):
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
status: New → In Progress
Launchpad Janitor (janitor) wrote :
Download full text (4.2 KiB)

This bug was fixed in the package gnome-shell - 3.30.2-2ubuntu1

---------------
gnome-shell (3.30.2-2ubuntu1) disco; urgency=medium

  * Merge with debian, remaining changes:
    + Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    + Add some Recommends:
      - ubuntu-session (| gnome-session) to have the ubuntu session available
      - xserver-xorg-legacy
      - yaru-theme-gnome-shell for the default ubuntu theming
    + Update debian/gbp.conf with Ubuntu settings
    + gnome-shell-common.install: Install Ubuntu mode
    + gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    + ubuntu/desktop_detect.patch:
      - add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    + ubuntu/smarter_alt_tab.patch:
      - quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    + ubuntu/lightdm-user-switching.patch:
      - Allow user switching when using LightDM.
    + ubuntu/lock_on_suspend.patch
      - Respect Ubuntu's lock-on-suspend setting.
    + ubuntu/gdm.patch
      - as gdm is system-wide and not session-wide, ensure gdm has an ubuntu
        styling by default, not impacting the gnome user session though.
    + ubuntu/background_login.patch
      - Change default background color as we modified the default GDM color
        for our ubuntu session. Change it as well here, still applying the
        background noise loading.
    + ubuntu/gdm_alternatives.patch
      - Add support for GDM3 theme alternatives
    + ubuntu/block_mode_extension_update.patch
      - Don't allow ubuntu mode extension to update
    + optional-hot-corner.patch
      - enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    + volume-Add-back-sound-feedback-on-scroll.patch
      - Fix regression causing missing feedback on volume slider scroll
    + st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch
      - Fix possible crash on cache loading
    + main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      - Improve debug JS tracing for crash reports
    + st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch,
      st-scroll-view-Remove-scrollbars-references-on-dispose.patch:
      - Fix crash on theme changes
    + ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      - stop searches when requested from UI
    + keyboard-Do-not-call-KeyboardManager.holdKeyboard-with-se.patch:
      - Cherry-pick upstream commit to prevent focus stealing on password fields
        in firefox whe...

Read more...

Changed in gnome-shell (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package gnome-control-center - 1:3.30.2-4ubuntu1

---------------
gnome-control-center (1:3.30.2-4ubuntu1) disco; urgency=medium

  * Merge with debian unstable. Remaining changes:
    + debian/control.in:
      - Depend on language-selector-gnome and whoopsie-preferences
      - Depend on instead of Recommend system-config-printer
      - Recommend ibus and ubuntu-system-service
      - Suggest instead of Recommend gnome-user-share, realmd and rygel
      - Build-Depend on dh-migrations and libwhoopsie-preferences-dev
      - Don't recommend libnss-myhostname since systemd-resolved handles this
        functionality
      - Bump dep on g-s-d and schema
    + Split gnome-control-center-faces to a separate package so that it can be
      used by unity-control-center & recommend this
    + Install apport hook
    + debian/gnome-control-center-data.install:
      - Don't install gnome-control-center.pkla since we use
        policykit-desktop-privileges instead
      - Install additional assets used by unity-control-center
    + debian/ubuntu-logo-icon.png, debian/source/include-binaries,
      debian/gnome-control-center-data.install: Include an Ubuntu logo
    + debian/gnome-control-center-data.links:
      - Link audio-speaker-center* to audio-speaker-mono* so that an
        icon is shown in the test speaker panel.
    + debian/rules: Enable whoospie integration
    + Add migration script to transition from old user settings to new one.
    + debian/patches:
      - 52_region_language.patch:
         Adapt region panel to use Ubuntu style regions
      - 64_restore_terminal_keyboard_shortcut.patch
         Bring back terminal shortcut
      - 70_allow_sound_above_100.patch:
         Allow setting volume above 100% in the Ubuntu session
      - 71_ubuntu_dock_settings.patch
         Add Dock panel for Ubuntu session
      - 99_add_lock-on-suspend.patch
         Add option to lock on suspend
      - auto_quit_after_goa_add.patch
         Hide window after adding an online account from another app.
      - connectivity-switch.patch
         Add Connectivity Checking switch to Privacy panel
      - distro-logo.patch:
         Add Ubuntu branding to Details panel
      - privacy-panel-whoopsie.patch
         Support Ubuntu's whoopsie service in the Privacy panel
      - ubuntu-language-support.patch
         Add Language Support button to Region & Language panel to work around
      - ubuntu-legacy-notifications.patch
         Ubuntu ships compatibility names for .desktop that got renamed
         upstream, those use NoDisplay but the panel doesn't respect that key,
         skip known buggy entries for file-roller and nautilus
      - ubuntu-printer-support.patch
         Add Advanced Printer Settings button to work around missing printer
         sharing feature
      - ubuntu-region-langpack-install.patch:
         Check for missing language packs when loading region panel to pull
         in packs that aren't included with the installer
      - ubuntu-region-packagekit.patch
         Fix detection of installed language packs

gnome-control-center (1:3.30.2-4) unstable; urgency=medium

  * debian/patches/power-Label-t...

Read more...

Changed in gnome-control-center (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.99.9-3

---------------
upower (0.99.9-3) unstable; urgency=medium

  * d/p/daemon-Consider-pending-charge-when-calculating-the-displ.patch:
    - Detect AC state on pending state (LP: #1745032)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 25 Jan 2019 11:35:14 +0000

Changed in upower (Ubuntu):
status: In Progress → Fix Released
Kai-Heng Feng (kaihengfeng) wrote :

Sorry for the belated response.

Here's a test kernel:
https://people.canonical.com/~khfeng/lp1745032-new-fix/

Will request an SRU soon.

Hello Agustin, or anyone else affected,

Accepted upower into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/upower/0.99.8-2ubuntu0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in upower (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in gnome-shell (Ubuntu Cosmic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Agustin, or anyone else affected,

Accepted gnome-shell into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.30.2-0ubuntu1.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Agustin, or anyone else affected,

Accepted gnome-control-center into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.30.2-1ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-control-center (Ubuntu Cosmic):
status: In Progress → Fix Committed
Agustin Barto (abarto) wrote :

I've tested the proposed updates and it seems to work with one minor caveat: If I unplug and plug the AC adapter, it takes a little while for the system to notice the change if it's near full charge (around 2 minutes). I think it's only a minor inconvenience.

I've also tested that it properly detects the correct status coming of a cold boot or a resume and it worked just fine. I'd say this one's fixed.

Augustin,

What version of ubuntu have you tested?
Can you please paste here the output of the command
  apt-cache policy linux-image-generic upower gnome-control-center gnome-shell

Are you also using a fixed kernel?

Changed in upower (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in gnome-shell (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in gnome-control-center (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Cosmic):
status: New → Triaged
Changed in gnome-control-center (Ubuntu Bionic):
status: Fix Committed → In Progress
Agustin Barto (abarto) wrote :

$ apt-cache policy linux-image-generic upower gnome-control-center gnome-shell
linux-image-generic:
  Installed: 4.18.0.14.15
  Candidate: 4.18.0.14.15
  Version table:
 *** 4.18.0.14.15 500
        500 http://archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     4.18.0.13.14 500
        500 http://archive.ubuntu.com/ubuntu cosmic-updates/main amd64 Packages
        500 http://archive.ubuntu.com/ubuntu cosmic-security/main amd64 Packages
     4.18.0.10.11 500
        500 http://archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
upower:
  Installed: 0.99.8-2ubuntu0.2
  Candidate: 0.99.8-2ubuntu0.2
  Version table:
 *** 0.99.8-2ubuntu0.2 500
        500 http://archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.99.8-2ubuntu0.1 500
        500 http://archive.ubuntu.com/ubuntu cosmic-updates/main amd64 Packages
     0.99.8-2 500
        500 http://archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
gnome-control-center:
  Installed: 1:3.30.2-1ubuntu0.18.10.2
  Candidate: 1:3.30.2-1ubuntu0.18.10.2
  Version table:
 *** 1:3.30.2-1ubuntu0.18.10.2 500
        500 http://archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     1:3.30.2-1ubuntu0.18.10.1 500
        500 http://archive.ubuntu.com/ubuntu cosmic-updates/main amd64 Packages
     1:3.30.1-1ubuntu2 500
        500 http://archive.ubuntu.com/ubuntu cosmic/main amd64 Packages
gnome-shell:
  Installed: 3.30.2-0ubuntu1.18.10.1
  Candidate: 3.30.2-0ubuntu1.18.10.1
  Version table:
 *** 3.30.2-0ubuntu1.18.10.1 500
        500 http://archive.ubuntu.com/ubuntu cosmic-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     3.30.1-2ubuntu1.18.10.2 500
        500 http://archive.ubuntu.com/ubuntu cosmic-updates/main amd64 Packages
     3.30.1-2ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu cosmic/main amd64 Packages

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Changed in linux (Ubuntu Cosmic):
status: Triaged → Fix Released
Changed in linux (Ubuntu Bionic):
status: Fix Committed → New
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.99.8-2ubuntu0.2

---------------
upower (0.99.8-2ubuntu0.2) cosmic; urgency=medium

  [ Iain Lane ]
  * debian/control: Update Vcs-* for Launchpad
  * gbp.conf: Set debian-tag to create ubuntu/xxx tags

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Detect AC state on pending state. (LP: #1745032)
  * debian/gbp.conf: update branch to ubuntu/cosmic

 -- Iain Lane <email address hidden> Fri, 25 Jan 2019 16:23:16 +0000

Changed in upower (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for upower has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.30.2-1ubuntu0.18.10.2

---------------
gnome-control-center (1:3.30.2-1ubuntu0.18.10.2) cosmic; urgency=medium

  * debian/patches/power-Label-the-PENDING_CHARGING-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGING state as "Not Charging" (LP: #1745032)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 25 Jan 2019 19:08:03 +0000

Changed in gnome-control-center (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Steve Langasek (vorlon) wrote :

This SRU claims for regression-potential:

> Low. The quirk uses strict DMI to match affected systems.

This doesn't appear to be true for the changes to upower, which include no DMI quirking whatsoever. Please clarify this.

Changed in upower (Ubuntu Bionic):
status: Fix Committed → Incomplete
Kai-Heng Feng (kaihengfeng) wrote :

The text is for the original Linux kernel SRU, Artful and earlier.

Changed in linux (Ubuntu Bionic):
status: New → Fix Committed

Hello Agustin, or anyone else affected,

Accepted gnome-shell into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-shell/3.28.3+git20190124-0ubuntu18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-bionic
Brian Murray (brian-murray) wrote :

Hello Agustin, or anyone else affected,

Accepted gnome-control-center into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gnome-control-center/1:3.28.2-0ubuntu0.18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in gnome-control-center (Ubuntu Bionic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.30.2-0ubuntu1.18.10.1

---------------
gnome-shell (3.30.2-0ubuntu1.18.10.1) cosmic; urgency=medium

  [ Iain Lane ]
  * New upstream release 3.30.2 (LP: #1813350)

  [ Marco Trevisan (Treviño) ]
  * d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGE state as "Not Charging" (LP: #1745032)
  * d/p/ibusManager-Don-t-pass-undefined-callback-to-ibus.patch:
    - Fix missing icon in keyboard indicator (LP: #1812266)

 -- Iain Lane <email address hidden> Fri, 25 Jan 2019 19:04:17 +0000

Changed in gnome-shell (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

Hello Agustin, or anyone else affected,

Accepted upower into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/upower/0.99.7-2ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in upower (Ubuntu Bionic):
status: Incomplete → Fix Committed

Kay-Heng, what's the status of the linux image landing on bionic?

Can you help in verify this once we've all there?

Kai-Heng Feng (kaihengfeng) wrote :

Marco, the kernel should be released next week.

I built a kernel against bionic/master-next branch, along with all -proposed packages, the state state is now "not charging" [1] just like Windows.

If would also be great if other users can verify this bug.

Since no regression shell-side has been reported so far and verification has beend done with a matching kernel, I think we can safely verify this SRU (also coming as part of GNOME upstream changes) unblocking it from the queue.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

In which bionic kernel is the fix for this present? Did the kernel portion go out already? Timing-wise it seems like that's the case, since there's a new kernel cycle starting right now. Can someone confirm that and switch the linux task to Fix Released if that's the case?
I'll release all of those then.

Kai-Heng Feng (kaihengfeng) wrote :

Kernel 4.15.0-47 which includes the fix is in proposed pocket.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :
Download full text (25.4 KiB)

This bug was fixed in the package linux - 4.15.0-47.50

---------------
linux (4.15.0-47.50) bionic; urgency=medium

  * linux: 4.15.0-47.50 -proposed tracker (LP: #1819716)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype

  * arm-smmu-v3 arm-smmu-v3.3.auto: CMD_SYNC timeout (LP: #1818162)
    - iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout

  * Crash in nvme_irq_check() when using threaded interrupts (LP: #1818747)
    - nvme-pci: fix out of bounds access in nvme_cqe_pending

  * CVE-2019-9213
    - mm: enforce min addr even if capable() in expand_downwards()

  * CVE-2019-3460
    - Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt

  * amdgpu with mst WARNING on blanking (LP: #1814308)
    - drm/amd/display: Don't use dc_link in link_encoder
    - drm/amd/display: Move wait for hpd ready out from edp power control.
    - drm/amd/display: eDP sequence BL off first then DP blank.
    - drm/amd/display: Fix unused variable compilation error
    - drm/amd/display: Fix warning about misaligned code
    - drm/amd/display: Fix MST dp_blank REG_WAIT timeout

  * tun/tap: unable to manage carrier state from userland (LP: #1806392)
    - tun: implement carrier change

  * CVE-2019-8980
    - exec: Fix mem leak in kernel_read_file

  * raw_skew in timer from the ubuntu_kernel_selftests failed on Bionic
    (LP: #1811194)
    - selftest: timers: Tweak raw_skew to SKIP when ADJ_OFFSET/other clock
      adjustments are in progress

  * [Packaging] Allow overlay of config annotations (LP: #1752072)
    - [Packaging] config-check: Add an include directive

  * CVE-2019-7308
    - bpf: move {prev_,}insn_idx into verifier env
    - bpf: move tmp variable into ax register in interpreter
    - bpf: enable access to ax register also from verifier rewrite
    - bpf: restrict map value pointer arithmetic for unprivileged
    - bpf: restrict stack pointer arithmetic for unprivileged
    - bpf: restrict unknown scalars of mixed signed bounds for unprivileged
    - bpf: fix check_map_access smin_value test when pointer contains offset
    - bpf: prevent out of bounds speculation on pointer arithmetic
    - bpf: fix sanitation of alu op with pointer / scalar type from different
      paths
    - bpf: add various test cases to selftests

  * CVE-2017-5753
    - bpf: properly enforce index mask to prevent out-of-bounds speculation
    - bpf: fix inner map masking to prevent oob under speculation

  * BPF: kernel pointer leak to unprivileged userspace (LP: #1815259)
    - bpf/verifier: disallow pointer subtraction

  * squashfs hardening (LP: #1816756)
    - squashfs: more metadata hardening
    - squashfs metadata 2: electric boogaloo
    - squashfs: more metadata hardening
    - Squashfs: Compute expected length from inode size rather than block length

  * efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted (LP: #1814982)
    - efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted

  * Update ENA driver to version 2.0.3K (LP: #1816806)...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.99.7-2ubuntu0.18.04.1

---------------
upower (0.99.7-2ubuntu0.18.04.1) bionic; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/control: update mantainer to ubuntu
  * debian/gbp.conf: update branch to ubuntu/bionic
  * d/p/daemon-Consider-pending-charge-when-calculating-the-displ.patch:
    - Detect AC state on pending state (LP: #1745032)

  [ Iain Lane ]
  * debian/control: Update Vcs-* for Launchpad
  * gbp.conf: Set debian-tag to create ubuntu/xxx tags

 -- Iain Lane <email address hidden> Fri, 25 Jan 2019 16:38:41 +0000

Changed in upower (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.28.2-0ubuntu0.18.04.3

---------------
gnome-control-center (1:3.28.2-0ubuntu0.18.04.3) bionic; urgency=medium

  * debian/patches/power-Label-the-PENDING_CHARGING-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGING state as "Not Charging" (LP: #1745032)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 25 Jan 2019 19:04:00 +0000

Changed in gnome-control-center (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.28.3+git20190124-0ubuntu18.04.1

---------------
gnome-shell (3.28.3+git20190124-0ubuntu18.04.1) bionic; urgency=medium

  * New git snapshot release up to commit 24cdcc56d (LP: #1811900)
    - Don't fill journal with osdWindow errors (LP: #1772677)
    - Fix missing icon in keyboard indicator (LP: #1812266)
  * d/p/authPrompt-Do-not-enable-sensitivity-if-retries-are-disal.patch,
    d/p/authPrompt-Unset-preemptiveAnswer-on-reset.patch,
    d/p/gdm-util-Always-allow-to-retry-login-in-unlock-mode.patch,
    d/p/ibus-set-content-type-no-holdKeyboard.patch,
    d/p/popupMenu-Don-t-handle-key-presses-directly-if-there-are-.patch,
    d/p/st-button-Ignore-pointer-emulated-touch-events.patch,
    d/p/shell-ignore-invalid-window-monitor-index.patch,
    d/p/workspace-fix-repositioned-windows-in-activities.patch:
    - Removed patches applied upstream
  * d/p/StIcon-only-compute-shadow-pipeline-when-the-texture-is-p.patch,
    d/p/js-fix-invalid-access-errors.patch,
    d/p/js-ui-Choose-some-actors-to-cache-on-the-GPU.patch,
    d/p/optional-hot-corner.patch,
    d/p/st-texture-cache-Cancel-sliced-image-loading-on-target-ac.patch,
    d/p/workaround_crasher_fractional_scaling.patch:
    - Refreshed as per upstream changes
  * d/p/keyboard-Filter-redundant-FocusTracker-position-changed-s.patch,
    d/p/keyboard-Listen-to-IbusPanelService-focus-in-out-to-track.patch:
    - Fix OSK activation on X11 (LP: #1760399)
  * d/p/power-Label-the-PENDING_CHARGE-state-as-Not-Charging.patch:
    - Label the PENDING_CHARGE state as "Not Charging" (LP: #1745032)
  * d/p/debian/patches/volume-Add-back-sound-feedback-on-scroll.patch:
    - Add missing include (LP: #1811908)

 -- Marco Trevisan (Treviño) <email address hidden> Fri, 25 Jan 2019 18:29:40 +0000

Changed in gnome-shell (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers